<?php
if (!isset($_SESSION)) {
  session_start();
}
$MM_authorizedUsers = "administrator";
$MM_donotCheckaccess = "false";

// *** Restrict Access To Page: Grant or deny access to this page
function isAuthorized($strUsers, $strGroups, $UserName, $UserGroup) { 
  // For security, start by assuming the visitor is NOT authorized. 
  $isValid = False; 

  // When a visitor has logged into this site, the Session variable MM_Username set equal to their username. 
  // Therefore, we know that a user is NOT logged in if that Session variable is blank. 
  if (!empty($UserName)) { 
    // Besides being logged in, you may restrict access to only certain users based on an ID established when they login. 
    // Parse the strings into arrays. 
    $arrUsers = Explode(",", $strUsers); 
    $arrGroups = Explode(",", $strGroups); 
    if (in_array($UserName, $arrUsers)) { 
      $isValid = true; 
    } 
    // Or, you may restrict access to only certain users based on their username. 
    if (in_array($UserGroup, $arrGroups)) { 
      $isValid = true; 
    } 
    if (($strUsers == "") && false) { 
      $isValid = true; 
    } 
  } 
  return $isValid; 
}

$MM_restrictGoTo = "login.php";
if (!((isset($_SESSION['MM_Username'])) && (isAuthorized("",$MM_authorizedUsers, $_SESSION['MM_Username'], $_SESSION['MM_UserGroup'])))) {   
  $MM_qsChar = "?";
  $MM_referrer = $_SERVER['PHP_SELF'];
  if (strpos($MM_restrictGoTo, "?")) $MM_qsChar = "&";
  if (isset($QUERY_STRING) && strlen($QUERY_STRING) > 0) 
  $MM_referrer .= "?" . $QUERY_STRING;
  $MM_restrictGoTo = $MM_restrictGoTo. $MM_qsChar . "accesscheck=" . urlencode($MM_referrer);
  header("Location: ". $MM_restrictGoTo); 
  exit;
}
?>
<?php
// Tworzy polaczenie z baza danych
$host = "localhost";
$user = "root";
$pwd = "";
$dbConn = mysql_connect($host,$user,$pwd);
mysql_query("SET NAMES utf8");
// Polaczenie z baza danych newland_tours
$database = "newland_tours";
mysql_select_db($database);
$query_updateCountry = "UPDATE tbl_country SET region=".mysql_real_escape_string($_POST['region']).",
 countryName='".mysql_real_escape_string($_POST['countryName'])."', 
 population='".mysql_real_escape_string($_POST['population'])."', 
 country_currency='".mysql_real_escape_string($_POST['country_currency'])."', 
 description='".mysql_real_escape_string($_POST['description'])."',
 imageURL='".mysql_real_escape_string($_POST['imageURL'])."',
 imageALT='".mysql_real_escape_string($_POST['imageALT'])."' 
 WHERE countryID=".mysql_real_escape_string($_POST['countryID']);
$updateCountry = mysql_query($query_updateCountry);
header("Location: admin_cp_master.php");
?>